Loading...
Searching...
No Matches
FunctionTraits.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/scimath/Mathematics/AutoDiff.h>`
`#include <casacore/scimath/Mathematics/AutoDiffA.h>`
`#include <casacore/scimath/Mathematics/AutoDiffX.h>`

Go to the source code of this file.

## Classes

class | casacore::FunctionTraits< T >
| More...
class | casacore::FunctionTraits_P< AutoDiff< T > >
| FunctionTraits specialization for AutoDiff. More...
class | casacore::FunctionTraits_PA< AutoDiffA< T > >
| FunctionTraits specialization for AutoDiffA. More...
class | casacore::FunctionTraits_PX< AutoDiffX< T > >
| FunctionTraits specialization for AutoDiffX. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | FunctionTraits_P
#define | FunctionTraits_PA
#define | FunctionTraits_PX

## Macro Definition Documentation

## FunctionTraits_P

#define FunctionTraits_P

Definition at line 161 of file FunctionTraits.h.

## FunctionTraits_PA

#define FunctionTraits_PA

Definition at line 190 of file FunctionTraits.h.

## FunctionTraits_PX

#define FunctionTraits_PX

Definition at line 219 of file FunctionTraits.h.